/** \file  auto_wsv_pointers.cc
    Defines the smart pointers that are used by
    the engine to access workspace variables.

    This file was generated automatically by make_auto_wsv_pointers_cc.cc.
    <b>DO NOT EDIT!</b>

    \date Feb  4 2009, 08:16:39 */

#include "arts.h"
//#include "matpackI.h"
#include "array.h"
#include "auto_wsv_groups.h"
#include "wsv_aux.h"
#include "auto_wsv.h"

/** The array of WSV pointers.
    This can be used to access a WSV by its index. */
Array<WsvP*> wsv_pointers;

void define_wsv_pointers(Array<WsvP*>&    wsv_pointers,
                         WorkSpace&       workspace)
{

  {
    static WsvPointer<ArrayOfLineRecord> p(&workspace.lines);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfArrayOfLineRecord> p(&workspace.lines_per_tg);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<TagGroups> p(&workspace.tgs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<TagGroups> p(&workspace.wfs_tgs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<TagGroups> p(&workspace.wfss_tgs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfLineshapeSpec> p(&workspace.lineshape);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfString> p(&workspace.cont_description_names);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfString> p(&workspace.cont_description_models);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfVector> p(&workspace.cont_description_parameters);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.raw_ptz);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.raw_vmrs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.p_abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.f_mono);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.t_abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.z_abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.h2o_abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.n2_abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.vmrs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.abs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.abs0);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.abs_per_tg);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.xsec_per_tg);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.hse);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Index> p(&workspace.emission);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.za_pencil);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.z_tan);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Numeric> p(&workspace.z_plat);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Numeric> p(&workspace.l_step);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Index> p(&workspace.refr);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Index> p(&workspace.refr_lfac);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<String> p(&workspace.refr_model);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.refr_index);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Numeric> p(&workspace.r_geoid);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Numeric> p(&workspace.z_ground);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Numeric> p(&workspace.t_ground);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.e_ground);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Los> p(&workspace.los);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.source);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.trans);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.y_space);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.y);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.y0);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.h);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.absloswfs);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.k_grid);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.k);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfString> p(&workspace.k_names);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.k_aux);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.kx);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfString> p(&workspace.kx_names);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfIndex> p(&workspace.kx_lengths);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.kx_aux);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.kb);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfString> p(&workspace.kb_names);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfIndex> p(&workspace.kb_lengths);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.kb_aux);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.S_S);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<String> p(&workspace.batchname);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.ybatch);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.absbatch);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.jacbatch);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfMatrix> p(&workspace.radiosonde_data);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Matrix> p(&workspace.coolrate);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<Vector> p(&workspace.p_coolrate);
    wsv_pointers.push_back(&p);
  }

  {
    static WsvPointer<ArrayOfIndex> p(&workspace.method_list);
    wsv_pointers.push_back(&p);
  }

};
